Kdenlive - No encuentro manera de instalar codecs MPEG2/4, MP4

Dudas y comentarios relacionadas con paquetes o programas específicos (obtención, uso, actualizaciones, versiones, problemas de instalación, etc.)

Moderadores: doc, Deckon

Responder
Avatar de Usuario
Nagual
Forista Distinguido
Forista Distinguido
Mensajes: 1004
Registrado: Vie Jul 01, 2005 7:00 am
Ubicación: Oaxaca, Mexico

Kdenlive - No encuentro manera de instalar codecs MPEG2/4, MP4

Mensaje por Nagual » Lun Jul 30, 2012 3:14 am

Buenas tardes a tod@s

Ando nuevamente por acá solicitando ayuda, aunque ya he buscado soluciones por mi cuenta pero no las encuentro :(

Tengo Debian 6 Squeeze AMD64 y kdenlive 0.7.8, todos los paquetes de la rama estable, y lo que quiero lograr es habilitar la exportación de video a todos los formatos que puede soportar Kdenlive, si no con poder convertir a MPEG4 (MP4), XVid y WebM principalmente, aunque por lo pronto estoy exportando a OGV...

Esto para "asegurar" la reproducción del video en la mayoria de reproductores multimedia, y además, poder hacer DVDs con capítulos tomando de base fragmentos de videos, y hasta donde se, y por poner un ejemplo, DVDStyler acepta AVI, MPEG4 y MP4...

Buscando información, dí con la pagina de Kdenlive donde sugieren usar los repositorios de Debian Multimedia para instalar los paquetes necesarios:

Código: Seleccionar todo

Under root account, add the following lines to /etc/apt/sources.list:

deb http://www.debian-multimedia.org sid main
deb http://www.debian-multimedia.org testing main

Install Debian-multimedia GPG key:
apt-get update ; apt-get install debian-multimedia-keyring

Then upgrade ffmpeg packages typing:
apt-get update ; apt-get ugrade; apt-get install ffmpeg x264 libmp3lame0 libquicktime1
Claro, use "stable main"

Decidí instalar solamente x264 libquicktime1, ya que libmp3lame0 ya lo habia instalado para poder exportar a MP3 en Audacity, sin embargo al instalar x264 y libquicktime1 me desinstaló ffmpeg, audacius, vlc y kdenlive; pero al querer instalar ffmpeg (para probar con un paquete) me decía que había conflicto con versiones de librerías (x264 y libquicktime1 usan librerías mas recientes) y ffmpeg necesita sus versiones correspondientes a los paquetes estables (versiones anteriores) y por lo tanto no me permitía instalarlo, al igual con audacious, vlc y kdenlive, asi que regrese a las versiones de la rama estable, pudiendo instalar nuevamente los programas.

Me sigue faltando poder habilitar la exportación a los codecs antes mencionados, si se pudiera todos mejor, o con los de MPEG4, MP4 y XVid me conformo.
Por cierto, también intente instalar los paquetes x264 y libquicktime1 agregándole "contrib non-free" a los repositorios oficiales "stable" pero no se encontró candidato para instalación.

Agradezco de antemano la orientación que me puedan dar
Que tengan un excelente día.

EDITADO
:idea: Creo que el paso que me falto es el "apt-get upgrade", ya que tengo la costumbre de que solo uso "apt-get update" cuando cambio temporalmente los repositorios a "contrib non-free" o los de multimedia... lo probare en un momento.

Ya probé y no me dejó, el error que me marca por los conflictos de versiones con ffmpeg usando el repositorio multimedia es el siguiente:

Código: Seleccionar todo

root@debian:/home/nagual# apt-get -f install ffmpeg x264 libmp3lame0 libquicktime1
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho                                                
libmp3lame0 ya está en su versión más reciente.
No se pudieron instalar algunos paquetes. Esto puede significar que
usted pidió una situación imposible o, si está usando la distribución
inestable, que algunos paquetes necesarios no han sido creados o han
sido movidos fuera de Incoming.
La siguiente información puede ayudar a resolver la situación:

Los siguientes paquetes tienen dependencias incumplidas:                                 
 ffmpeg : Depende: libavdevice52 (>= 5:0.7.13) pero no va a instalarse
          Depende: libavfilter1 (>= 5:0.7.13) pero no va a instalarse
          Depende: libavformat52 (>= 5:0.7.13) pero no va a instalarse
E: Paquetes rotos
Blaise Pascal: "Vale más saber alguna cosa de todo, que saberlo todo de una sola cosa."
Twitter: @nagual_oax
Avatar de Usuario
CharlieBros
Forista Mayor
Forista Mayor
Mensajes: 691
Registrado: Lun Sep 26, 2011 2:01 am
Ubicación: Mexico, DF

Re: Kdenlive - No encuentro manera de instalar codecs MPEG2/4, MP4

Mensaje por CharlieBros » Lun Jul 30, 2012 5:09 am

¿No estan en la rama estable de DebMultimedia?, creo haberlos visto ahi.
Puedes desinstalar todo lo que instalaste, instalar ffmpeg, y buscar los paquetes que necesitas en pkgs.org.
Saludos.
Ch
Avatar de Usuario
niky45
Forista Ancestral
Forista Ancestral
Mensajes: 9186
Registrado: Jue Abr 12, 2007 7:00 am
Ubicación: tras la pantalla (...)
Contactar:

Re: Kdenlive - No encuentro manera de instalar codecs MPEG2/4, MP4

Mensaje por niky45 » Lun Jul 30, 2012 2:21 pm

busca info sobre el apt-pinning:
http://wiki.debian.org/AptPreferences
http://algebraicthunk.net/~dburrows/pro ... de/doc/en/ ## algo tenndra que haber por aqui....
#446716
>>"Linux: the operating system with a CLUE... Command Line User Environment".
(seen in a posting in comp.software.testing)

[ DNFD ] - [ F4A ] - [ dotfiles ]
o4kley
Forista Medio
Forista Medio
Mensajes: 410
Registrado: Sab Ene 01, 2011 2:40 am
Ubicación: Peru

Re: Kdenlive - No encuentro manera de instalar codecs MPEG2/4, MP4

Mensaje por o4kley » Jue Ago 02, 2012 2:39 pm

es dificil crear una distro mutante en debian y a veces muchas veces funciona mal
"Bañarse en pareja (ahorra agua y ayuda a producir niños ecológicos) =)"
http://o4-gml.blogspot.com/
Avatar de Usuario
niky45
Forista Ancestral
Forista Ancestral
Mensajes: 9186
Registrado: Jue Abr 12, 2007 7:00 am
Ubicación: tras la pantalla (...)
Contactar:

Re: Kdenlive - No encuentro manera de instalar codecs MPEG2/4, MP4

Mensaje por niky45 » Jue Ago 02, 2012 2:58 pm

o4kley escribió:es dificil crear una distro mutante en debian y a veces muchas veces funciona mal
depende. yo llevo cosa de un anio usando iceweasel (firefox) de experimental o de sid, con una testing, y sin problemas. luego lo automatice con el apt-pinning, y si bien ahora tengo el (iceweasel) de sid, fue cuestion de explicarle claramente lo que que queria que hiciera. y lo hace. bien.

digo, una cosa es mezclas raras (una vez oi de alguien con una testing y las X de stable.... :? )y otra cosa es un paquete puntual... y mucho carinio. el carinio e slo mas importante. :wink: (siempre que el libc6 no ande por medio. #-o )
#446716
>>"Linux: the operating system with a CLUE... Command Line User Environment".
(seen in a posting in comp.software.testing)

[ DNFD ] - [ F4A ] - [ dotfiles ]
o4kley
Forista Medio
Forista Medio
Mensajes: 410
Registrado: Sab Ene 01, 2011 2:40 am
Ubicación: Peru

Re: Kdenlive - No encuentro manera de instalar codecs MPEG2/4, MP4

Mensaje por o4kley » Lun Ago 06, 2012 3:26 pm

niky45 escribió: depende. yo llevo cosa de un anio usando iceweasel (firefox) de experimental o de sid, con una testing, y sin problemas. luego lo automatice con el apt-pinning, y si bien ahora tengo el (iceweasel) de sid, fue cuestion de explicarle claramente lo que que queria que hiciera. y lo hace. bien.

digo, una cosa es mezclas raras (una vez oi de alguien con una testing y las X de stable.... :? )y otra cosa es un paquete puntual... y mucho carinio. el carinio e slo mas importante. :wink: (siempre que el libc6 no ande por medio. #-o )
Una versión compilada con otras bibliotecas , no funciona bien internamente , bueno nunca nos damos cuentas hasta que algo falla por ahi luego intentamos corregirlas , recuerda que las funciones de algunas bibliotecas cambian.

Y el paquete necesita padre necesita recompilacion , en entornos de producción esto es critico y muy incomodo al momento de arrastrar errores. Lo mas sano es bajarte el src y recompilar un nuevo paquete.
"Bañarse en pareja (ahorra agua y ayuda a producir niños ecológicos) =)"
http://o4-gml.blogspot.com/
Avatar de Usuario
niky45
Forista Ancestral
Forista Ancestral
Mensajes: 9186
Registrado: Jue Abr 12, 2007 7:00 am
Ubicación: tras la pantalla (...)
Contactar:

Re: Kdenlive - No encuentro manera de instalar codecs MPEG2/4, MP4

Mensaje por niky45 » Lun Ago 06, 2012 4:13 pm

se supone que hay algo llamado retrocompatibilidad
ma alla de eso, en debian, el sistema de dependencias hace que si REALMENTE un paquete no funciona con una version X de la libreria X, en las dependencias de la version X de la libreria, ponga "ropmpe el paquete X", y salvo que le des a force, no te lo instalara.

it's debian. :wink: la gestion de dependencias no sera perfecta, pero te puedo asegurar que todo funciona con suavidad. :wink: aun mezclando ramas.

o si es una version posterior lo que necesita,te exige que actualices la libreria o no se instalara. :wink:
#446716
>>"Linux: the operating system with a CLUE... Command Line User Environment".
(seen in a posting in comp.software.testing)

[ DNFD ] - [ F4A ] - [ dotfiles ]
xhirdelx
Forista Nuevo
Forista Nuevo
Mensajes: 3
Registrado: Sab Sep 07, 2013 2:25 am
Ubicación: Ponycornios!!
Contactar:

Re: Kdenlive - No encuentro manera de instalar codecs MPEG2/4, MP4

Mensaje por xhirdelx » Sab Sep 07, 2013 3:05 am

instala el phonon-vlc y te va a tomar los codecs, tienes que instalar desde debian-multimedia.
Responder
  • Similar Topics
    Respuestas
    Vistas
    Último mensaje